{extends file="./includes/templates/base.tpl"}

{block name="content"}
    <article>
        <ul class="nav-tabs">
            <li class="nav-item">
                <a id="customers" class="nav-link active">{l s='Customers' mod='smspubli'}</a>
            </li>
            <li class="nav-item">
                <a id="admins" class="nav-link">{l s='Admins' mod='smspubli'}</a>
            </li>
        </ul>
        <div id="tab-customers" class="tab-content">
            {include file='./includes/templates/customer-sms.tpl' client='customer'}
        </div>
        <div id="tab-admins" class="tab-content">
            {include file='./includes/templates/admin-sms.tpl' client='admin'}
        </div>
    </article>

    <div id="information" class="alert-info hidden">
        <span></span>
    </div>
{/block}

{block name="jsCode" append}
    $(document).ready(function(){
        if($('#customers').hasClass("active"))
        {
            $('#tab-customers').show();
        }
    });

    $('#customers').click(function(){
        if($('#tab-customers').css('display') == 'none')
        {
            $('#tab-admins').fadeOut('slow');
            $('#admins').removeClass("active");
            $('#tab-customers').fadeIn('slow');
            $('#customers').addClass("active");
        }
    });

    $('#admins').click(function(){
        if($('#tab-admins').css('display') == 'none')
        {
            $('#tab-customers').fadeOut('slow');
            $('#customers').removeClass("active");
            $('#tab-admins').fadeIn('slow');
            $('#admins').addClass("active");
        }
    });
{/block}
