<?php

require_once ('SmsConfig.php');

class AdminSmsConfig extends SmsConfig
{
    private $admins;

    public function __construct($message, $admins, $hook, $option = null)
    {
        parent::__construct($message, $hook, $option);

        $this->admins = $admins;
    }

    /**
     * @return mixed
     */
    public function getAdmins()
    {
        return $this->admins;
    }

    /**
     * @param mixed $active
     */
    public function setAdmins($admins)
    {
        $this->admins = $admins;
    }

    public function getActive()
    {
        if(count($this->admins) > 0)
        {
            return 1;
        }

        return 0;
    }

}

?>