<?php

require_once(dirname(__FILE__).'/../smspubli.php');
require_once(dirname(__FILE__).'/../../../config/config.inc.php');


function removeDirectory($folder)
{
    foreach(glob($folder . "/*") as $file)
    {
        echo $file;

        if (is_dir($file))
        {
            removeDirectory($file);
        }
        else
        {
            unlink($file);
        }
    }

    rmdir($folder);
}

function doUpdate(&$status, &$message, $new_version, $download_link)
{
    $module = SmsPubli::getInstance();
    if (isset($new_version) && isset($download_link)) {

        $module_folder = dirname(__FILE__) . '/../..';

        //Make temporal directory for download
        if (!is_dir(dirname(__FILE__) . '/tmp')) {
            mkdir(dirname(__FILE__) . '/tmp');
        }

        //require_once('upgrade.php');

        $zip_file = dirname(__FILE__) . '/tmp/update.zip';

        if (!is_file($zip_file)) {
            $newUpdate = file_get_contents($download_link);
            $dlHandler = fopen($zip_file, 'w');
            if (!fwrite($dlHandler, $newUpdate)) {
                $status = "ERROR";
                $message = $module->l('Could not save new update. Operation aborted.', MODULE_NAME);
            }
            fclose($dlHandler);
        }
        if ($status == 'OK') {
            $zip = new ZipArchive();
            if ($zip->open($zip_file) != true) {
                $status = "ERROR";
                $message = $module->l('File for upgrade not found. Update failed', MODULE_NAME);
            } else {
                $name = $zip->getNameIndex($zip->locateName('upgrade.php', ZIPARCHIVE::FL_NODIR));

                if (($zip->extractTo(dirname(__FILE__) . '/tmp/', $name))) {
                    require_once(dirname(__FILE__) . '/tmp/' . $name);
                } else {
                    $status = "ERROR";
                    $message = $module->l('Error extracting the file, please check you have zip installed in your server', MODULE_NAME);
                }

                $zip->close();
            }

        }
        removeDirectory(dirname(__FILE__) . '/tmp');
    } else {
        $status = "ERROR";
        $message = $module->l('Unknown update version or link', MODULE_NAME);
    }
}

?>