<?php

class SmsConfig
{
    private $message;
    private $hook;
    private $option;    

    public function __construct($message, $hook, $option = null) {
        $this->message = $message;
        $this->hook = $hook;
        $this->option = $option;
    }

    /**
     * @return mixed
     */
    public function getMessage()
    {
        return $this->message;
    }

    /**
     * @param mixed $message
     */
    public function setMessage($message)
    {
        $this->message = $message;
    }

    /**
     * @return mixed
     */
    public function getHook()
    {
        return $this->hook;
    }

    /**
     * @param mixed $hook
     */
    public function setHook($hook)
    {
        $this->hook = $hook;
    }

    /**
     * @return null
     */
    public function getOption()
    {
        return $this->option;
    }

    /**
     * @param null $option
     */
    public function setOption($option)
    {
        $this->option = $option;
    }
}

?>