{if $key|array_key_exists:$existing_array}
    {$admins_active = $existing_array[$key]->getAdmins()}
{else}
    {$admins_active = []}
{/if}
{if $admin_array|count > 1}
    {$class_check = 'check-medium'}
{else}
    {$class_check = ''}
{/if}
{$num_admins = $admin_array|count}
{foreach from = $admin_array  item = admin}
    {if $admin->getId()|array_key_exists:$admins_active}
        {$active = 1}
    {else}
        {$active = 0}
    {/if}
    <div class="filter">
        <div class="onoffswitch">
            <input type="checkbox" name="admin-active-{$key}[]" id="admin-active-{$key}-{$admin->getId()}" value="{$admin->getId()}" class="onoffswitch-checkbox" {if $active == 1} {'checked'} {/if}>
            <label class="onoffswitch-label" for="admin-active-{$key}-{$admin->getId()}">
                <span class="onoffswitch-inner"></span>
                <span class="onoffswitch-switch"></span>
            </label>
        </div>
        {if $num_admins > 1}
            <span class="text-out-switch">{$admin->getName()}</span>
        {/if}
    </div>
{foreachelse}
    <div class="no-result">{l s='No admins found. System will not send notifications to admins. Please, go to settings and enter admins.' mod='smspubli'}</div>
{/foreach}